Locale::getDisplayLanguage
Locale::getDisplayRegion
Locale
PHP Manual

# Locale::getDisplayName

# locale_get_display_name

(No version information available, might be only in CVS)

Locale::getDisplayName -- locale_get_display_name — Returns an appropriately localized display name for the input locale

### Description

Object oriented style

static string Locale::getDisplayName ( string `$locale` [, string `$in_locale` ] )

Procedural style

string locale_get_display_name ( string `$locale` [, string `$in_locale` ] )

Returns an appropriately localized display name for the input locale. If is `NULL` then the default locale is used.

### Parameters

`locale`

  The locale to return a display name for.

`in_locale`

  optional format locale

### Return Values

Display name of the locale in the format appropriate for $in_locale.

### Examples

Example #1 locale_get_display_name() example

`<?php
echo locale_get_display_name('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo locale_get_display_name('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo locale_get_display_name('sl-Latn-IT-nedis', 'de');
?>`

Example #2 OO example

`<?php
echo Locale::getDisplayName('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo Locale::getDisplayName('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo Locale::getDisplayName('sl-Latn-IT-nedis', 'de');
?>`

The above example will output:

    Slovenian (Latin, Italy, Natisone dialect);
    slov\xc3\xa8ne (latin, Italie, dialecte de Natisone;
    Slowenisch (Lateinisch, Italien, NEDIS)

### See Also

- locale_get_display_language()
- locale_get_display_script()
- locale_get_display_region()
- locale_get_display_variant()

Locale::getDisplayLanguage
Locale::getDisplayRegion
Locale
PHP Manual